$(document).ready(function() {
	
	function reNumberCompareItems(){
		var i = 1;
		$('.compare-item .compare-item-num').each(function(e){
			$(this).text(i+'.');
		i = i+1;
		});	
	}
	
	
	$(document).on('click', '#remove-all-compare-items', function(e){
		
		$.ajax({
           headers: {
           		'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
           },
		   type : 'POST',	
		   url: '/ajax-removeallfromcompare',	   
		   dataType: 'html',
		   data: {'action' : 'removeall'},	   
		   beforeSend: function() {
			  //
		   },	   
		   success: function(data) {
			   
			  var array = data.split(',');
			  var result = $.trim(array[0]);
			  var msg    = $.trim(array[1]);
			  
			  if(result == 'true'){
				  
				  var html =	 '<div class="compare-item">'
					+'<span class="compare-item-num">1.</span>'
					+'</div>'
					
					+'<div class="compare-item">'
					+'<span class="compare-item-num">2.</span>'
					+'</div>'
					
					+'<div class="compare-item">'
					+'<span class="compare-item-num">2.</span>'
					+'</div>';
					
		
					$('#compare-list').html(html);		
					
					$('#compare-wrap').hide();

                    $('#link-compare span').text(0);
			  
			  } else {
				  alert(msg);
			  } 
			 
		   }, // success
		   error: function(statusCode, errorThrown) {
				if (statusCode.status == 0) {
					alert("Nije uspostavljena veza sa internetom\npokušajte da se ponovo povežete");
				} // if no connection
		   } // error
		   
		}); // ajax
	
		
				
	
	});
	
	
	$(document).on('click', '#do-compare-btn', function(e){
		
		
		var cubnum = $('#compare-list .cub').length;
		
		if(cubnum < 2){
			alert('Molimo izaberite bar jos jedan proizvod za poredjenje');
		} else {
			
			var href = $(this).data('href');
			
			window.location.href = href;
			
		}		
	
	});	
	
	
	$(document).on('click', '.compare-item-remove', function(e){
		e.preventDefault();
		
		var id = $(this).data('id');
		var target = $(this).parent();
		
		$.ajax({
			headers: {
				'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			},
		   	type : 'POST',
		   	url: '/ajax-removefromcompare',
		   	dataType: 'html',
		   	data: {'id' : id},
		   	beforeSend: function() {
			  //$('#ajaxoverlay').show();
		   	},
		   	success: function(data) {
			   
			   var array = data.split(',');
			   var result = $.trim(array[0]);
			   var msg    = $.trim(array[1]);
			   
			   if(result == 1){
				   
				   var html =	 '<div class="compare-item">'
					+'<span class="compare-item-num"></span>'
					+'</div>';		
					
					var item = target.remove();
					
					//alert(item); return false;
					
					$('.compare-item:last').after(html);
					
					reNumberCompareItems();
					
					var cubnum = $('#compare-list .cub').length;
					
					if(cubnum == 0){
						$('#compare-wrap').hide();			
					}

                   $('#link-compare span').text(cubnum);
			   
			   } else {
			   		alert(msg);
			   }
			 
		   	}, // success
		   	error: function(statusCode, errorThrown) {
				if (statusCode.status == 0) {
					alert("Nije uspostavljena veza sa internetom\npokušajte da se ponovo povežete");
				} // if no connection
		   	} // error
		   
		}); // ajax
		
		
		
	
	});
	
	
	$(document).on('click', '.comparebtn', function(e){
		
		e.preventDefault();
		
		var id = $.trim($(this).data('id'));
		
		var imgsrc = $.trim($(this).closest('.pb').find('.pb-img').find("a[class!='sticker']").find('img').attr('src'));
		var name   = $.trim($(this).closest('.pb').find('h4').find('a').text());
		var cubnum = $('#compare-list .cub').length;
		
		var html   = '<div class="compare-item cub"> ' 
					+'<span class="compare-item-num">'+(cubnum+1)+'.</span>'
					+'	<div class="compare-item-img">'
					+'	<img class="img-responsive" src="'+imgsrc+'">'
					+'	</div>'       
					+'	<span class="compare-item-name">'
					+'		'+name
					+'	</span>'
					+'	<a href="#" class="compare-item-remove" data-id="'+id+'"><i class="thm-dismiss"></i> X</a>'
					+'</div>';		
		
		
		$.ajax({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
		   type : 'POST',	
		   url: '/ajax-addforcompare',	   
		   dataType: 'html',
		   data: {'id' : id},	   
		   beforeSend: function() {
			  //$('#ajaxoverlay').show();
		   },	   
		   success: function(data) {
			  //$('#ajaxoverlay').hide();
			  var array = data.split(',');
			  var result = $.trim(array[0]);
			  var action = $.trim(array[1]);
			  var msg    = $.trim(array[2]);
			  
			  if(result == 'true' && action == 'show'){
			  
			  		if(cubnum){
						$('#compare-list .cub:last').after(html);
					} else {			
						$('.compare-item:first').before(html);		
					}		
					
					$('.compare-item:last').remove();
					
					reNumberCompareItems();
					
					$('#compare-wrap').show();

                    var cubnum = $('#compare-list .cub').length;

                    $('#link-compare span').text(cubnum);
								  
			  } else if(result == 'false' && action == 'show'){
				  
				  	$('#compare-wrap').show();
					alert(msg);
				  
			  } else {
				  
			  		alert(msg);
			  }

			 
		   }, // success
		   error: function(statusCode, errorThrown) {
				//$('#ajaxoverlay').hide();
				if (statusCode.status == 0) {
					alert("Nije uspostavljena veza sa internetom\npokušajte da se ponovo povežete");
				} // if no connection
		   } // error
		   
		}); // ajax
	
	
	});
    
});